com.ihr.xbrl.om

## Interface XMLHasParent

- All Known Subinterfaces:
    XBRLAllowsDocumentation, XBRLFactsList
  All Known Implementing Classes:
    AutoFill, CalculationLinkbase, DefinitionLinkbase, FlMessage, FootnoteLinkbase, FormulaLinkbase, GenericLinkbase, LabelLinkbase, MapperContext2, MapperContext3, MapperContextBase, MapperPeriod2, MapperPeriod3, MapperPeriodBase, OtherLinkbase, PresentationLinkbase, ReferenceLinkbase, RenderHints, StaticRole, VersionLinkbase, XBRLAncestorFilter, XBRLAndFilter, XBRLArc, XBRLArcroleRef, XBRLArcroleType, XBRLAspectCoverFilter, XBRLAspectNode, XBRLAssertion, XBRLAttribute, XBRLBreakdown, XBRLClosedDefinitionNode, XBRLConceptBalanceFilter, XBRLConceptCustomAttributeFilter, XBRLConceptDataTypeFilter, XBRLConceptFilterAbstract, XBRLConceptNameFilter, XBRLConceptPeriodTypeFilter, XBRLConceptRelationFilter, XBRLConceptRelationshipNode, XBRLConceptSubstitutionGroupFilter, XBRLConsistencyAssertion, XBRLContext, XBRLCustomFunction, XBRLCustomFunctionImplementation, XBRLDefinitionNode, XBRLDimensionFilterAbstract, XBRLDimensionRelationshipNode, XBRLDimensionsContainer, XBRLDocument, XBRLDocumentation, XBRLEntity, XBRLExistenceAssertion, XBRLExplicitDimensionFilter, XBRLExtendedLink, XBRLFact, XBRLFactItem, XBRLFactNonNumeric, XBRLFactNumeric, XBRLFactsListImpl, XBRLFactTuple, XBRLFormula, XBRLFormulaFilterBase, XBRLFormulaResource, XBRLGeneralFilter, XBRLGeneralMeasuresFilter, XBRLIdentifierFilter, XBRLImport, XBRLInclude, XBRLInstance, XBRLItem, XBRLLabelResource, XBRLLinkbase, XBRLLinkbaseRef, XBRLLocationFilter, XBRLLocator, XBRLMatchAbstractFilter, XBRLMatchConceptFilter, XBRLMatchDimensionFilter, XBRLMatchEntityIdentifierFilter, XBRLMatchLocationFilter, XBRLMatchNonXDTScenarioFilter, XBRLMatchNonXDTSegmentFilter, XBRLMatchPeriodFilter, XBRLMatchScenarioFilter, XBRLMatchSegmentFilter, XBRLMatchUnitFilter, XBRLMeasure, XBRLOpenDefinitionNode, XBRLOrFilter, XBRLParentFilter, XBRLPeriod, XBRLPeriodEndFilter, XBRLPeriodFilter, XBRLPeriodFilterAbstract, XBRLPeriodForeverFilter, XBRLPeriodInstantDurationFilter, XBRLPeriodInstantFilter, XBRLPeriodStartFilter, XBRLPointerOfARelationship, XBRLRegExpIdentifierFilter, XBRLRegExpSchemeFilter, XBRLRelationship, XBRLRelationshipNode, XBRLRelativeFilter, XBRLResource, XBRLResultMessage, XBRLRoleAndArcroleTypes, XBRLRoleRef, XBRLRoleType, XBRLRuleNode, XBRLScenario, XBRLScenarioFilter, XBRLSegment, XBRLSegmentFilter, XBRLSiblingFilter, XBRLSimpleLink, XBRLSingleMeasureFilter, XBRLSpecificIdentifierFilter, XBRLSpecificSchemeFilter, XBRLTable, XBRLTableResource, XBRLTaxonomy, XBRLTuple, XBRLTypedDimensionFilter, XBRLUnit, XBRLUsedOn, XBRLValueAssertion, XBRLValueNilFilter, XBRLValuePrecisionFilter, XBRLVariableEqualityDefinition, XBRLVariableFact, XBRLVariableGeneral, XBRLVariableParameter, XBRLVariablePrecondition, XBRLVariableResource, XBRLVariableSetResource, XLinkElement, XMLDocumentURI, XMLElementDefinition, XMLFragment

      public interface XMLHasParent

  The Interface XMLHasParent.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addXMLChild(XMLHasParent child)` Adds the xml child.
    `java.net.URI` | `getBase()` Gets the base.
    `XMLHasParent` | `getParent()` Gets the parent.
    `void` | `removeXMLChild(XMLHasParent child)` Removes the xml child.
    `void` | `setParent(XMLHasParent parent)` Sets the parent.

- - ### Method Detail

    - #### getParent

          XMLHasParent getParent()

      Gets the parent.
      Returns:
        the parent

    - #### setParent

          void setParent(XMLHasParent parent)
                         throws XBRLInconsistentDTSException

      Sets the parent.
      Parameters:
        `parent` - the new parent
      Throws:
        `XBRLInconsistentDTSException` - the XBRL inconsistent dts exception

    - #### addXMLChild

          void addXMLChild(XMLHasParent child)
                           throws XBRLInconsistentDTSException

      Adds the xml child.
      Parameters:
        `child` - the child
      Throws:
        `XBRLInconsistentDTSException` - the XBRL inconsistent dts exception

    - #### removeXMLChild

          void removeXMLChild(XMLHasParent child)

      Removes the xml child.
      Parameters:
        `child` - the child

    - #### getBase

          java.net.URI getBase()

      Gets the base.
      Returns:
        the base